import { ElementRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { Subscription } from 'rxjs';
import { RadioStateService } from './radio-state.service';
export declare class RadioComponent implements ControlValueAccessor, OnInit, OnDestroy {
    private radioStateService;
    rawInput: ElementRef;
    uiChange: EventEmitter<string>;
    checkedIcon: string;
    uncheckedIcon: string;
    name: string;
    value: string;
    forId: string;
    text: string;
    set disabled(isDisabled: any);
    get disabled(): any;
    set readonly(isReadonly: any);
    get readonly(): any;
    set checked(isChecked: any);
    get checked(): any;
    sub: Subscription;
    private _disabled;
    private _readonly;
    private _checked;
    private onChange;
    private onTouched;
    constructor(radioStateService: RadioStateService);
    click(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
}
