import { Observable } from 'rxjs';
export declare enum ToastType {
    Default = "default",
    Primary = "primary",
    Info = "info",
    Warning = "warning",
    Success = "success",
    Danger = "danger"
}
export interface ToastConfig {
    content: string;
    type?: ToastType;
    time?: number;
}
export declare class ToastController {
    notify: Observable<ToastConfig>;
    private notifySource;
    constructor();
    push(config: ToastConfig): void;
}
