import { ActivatedRouteSnapshot, DetachedRouteHandle, RouteReuseStrategy } from '@angular/router';
import { RouteCacheController } from './route-cache-controller';
export declare class UIRouteReuseStrategy implements RouteReuseStrategy {
    private routeCacheController;
    private caches;
    private isCache;
    private routeSequence;
    private static getRouteIdentifier;
    constructor(routeCacheController: RouteCacheController);
    shouldDetach(route: ActivatedRouteSnapshot): boolean;
    store(route: ActivatedRouteSnapshot, handle: DetachedRouteHandle): void;
    shouldAttach(route: ActivatedRouteSnapshot): boolean;
    retrieve(route: ActivatedRouteSnapshot): DetachedRouteHandle;
    shouldReuseRoute(future: ActivatedRouteSnapshot, current: ActivatedRouteSnapshot): boolean;
}
