import { ElementRef, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { PullUpLoadController } from './pull-up-load-controller';
import { PullDownRefreshController } from '../refresher/pull-down-refresh-controller';
export declare class ScrollComponent implements OnDestroy, OnInit {
    private renderer;
    private elementRef;
    private doLoadDistance;
    pullUpLoadController: PullUpLoadController;
    pullDownRefreshController: PullDownRefreshController;
    paddingTop: string;
    set openRefresh(value: boolean);
    get openRefresh(): boolean;
    set openInfinite(value: boolean);
    get openInfinite(): boolean;
    private sub;
    private distanceY;
    private unBindFnList;
    private _openRefresh;
    private _openInfinite;
    private isBindRefresh;
    private isBindInfinite;
    constructor(renderer: Renderer2, elementRef: ElementRef, doLoadDistance: number, pullUpLoadController: PullUpLoadController, pullDownRefreshController: PullDownRefreshController);
    ngOnInit(): void;
    ngOnDestroy(): void;
    bindingInfinite(): void;
    bindingRefresher(): void;
}
